<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Closure</title>
</head>
<body>
    <script>
        var name= "vinove";
        function abc(){
            var data="xyz";

            function a(){
                var arr1=[1,2,3,4];
                console.log(data);
                console.log(arr1);
            }
            a();
            return name;
        }

        var empcode=abc();
        console.log(empcode);
    </script>
</body>
</html>